#!/bin/sh
export PATH='/usr/obj/ports/hs-monad-control-1.0.0.4/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: monad-control
version: 1.0.0.4
id: monad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
key: monad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
license: BSD3
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/monad-control
synopsis: Lift control operations, like exception catching, through monad transformers
description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.
    .
    See the @lifted-base@ package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.
    .
    Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Trans.Control
abi: b07ef04a3fda2134dd840637fc0de4f4
trusted: False
import-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
library-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
              /usr/local/lib/x86_64-openbsd-ghc-8.2.2
data-dir: /usr/local/share/hs-monad-control-1.0.0.4
hs-libraries: HSmonad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
depends:
    base-4.10.1.0 stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww
    transformers-0.5.2.0 transformers-base-0.4.4-G4HvRd1GUcNGvZj70uX60w
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
abi-depends: base-4.10.1.0=3319c96bc0bdd0e7df6bb89e8bc8756b
             stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww=4311c79f1c6ec158582dffe687e6db96
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             transformers-base-0.4.4-G4HvRd1GUcNGvZj70uX60w=1b21bb6cc6ade936d66d9f30794600cb
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=94a5340d64a5db3506fe5654c7b40389
haddock-interfaces: /usr/local/share/doc/hs-monad-control-1.0.0.4/html/monad-control.haddock
haddock-html: /usr/local/share/doc/hs-monad-control-1.0.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

